/**
 *      common_interface.c
 *      Couche d'abstraction pour l'interface
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

/* Inclusions standard */
#include <stdlib.h>
#include <stdio.h>

/* Inclusions du programme */
#include "../typedef.h"
#include "common_interface.h"
#if INTERFACE == INTERFACE_TEXTE
#include "texte/interface_texte.h"
#endif
#if INTERFACE == INTERFACE_GTK
#include "gtk/selection_jeu_gtk.h"
#endif


/* Initialise l'interface
 * Auteur: Mathieu Pellegrin
 * Entrée: Rien
 * Sortie: Rien
 */
void init_interface()
{
	#if INTERFACE == INTERFACE_TEXTE
		init_interface_texte();
	#else

	#endif
}
