/**
 *      callback.c
 *      Contient les fonctions de callback principales
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

/* Inclusions standard */
#include <stdlib.h>
#include <stdio.h>
#include <gtk/gtk.h>

/* Inclusions du programme */
#include "../../typedef.h"
#include "gtkdef.h"
#include "../../common.h"
#include "../common_interface.h"
#include "partie_gtk.h"
#include "callback.h"


/* Fonction de callback pour quitter le programme
 * Auteur: Mathieu Pellegrin
 * Entrée: La structure de la partie
 * Sortie: Rien
 */
void cb_quit(GtkWidget *p_widget, gpointer user_data)
{
	Tjeu jeu = (Tjeu)user_data;

	free_jeu(&jeu);

	gtk_main_quit();

	(void)p_widget;
}

