/**
 *      gtkdef.h
 *      Contient les en-têtes spécifiques pour la partie en GTK
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include <gtk/gtk.h>

#ifndef GTKDEF
#define GTKDEF

#define IMAGE_PION_BLANC "interface/gtk/images/pion_blanc.png"
#define IMAGE_PION_NOIR "interface/gtk/images/pion_noir.png"
#define IMAGE_DAME_BLANC "interface/gtk/images/dame_blanc.png"
#define IMAGE_DAME_NOIR "interface/gtk/images/dame_noir.png"
#define IMAGE_CASE_BLANC "interface/gtk/images/case_blanc.png"
#define IMAGE_CASE_NOIR "interface/gtk/images/case_noir.png"

#define STATUSBAR_FORMAT "Joueur : %c ; Partie : %s - %s"

#define JOUEUR_HUMAIN 1
#define JOUEUR_IA     2

typedef struct {
	Tdamier damier;
	GtkWidget *cases[tailleDamier][tailleDamier];
	GtkWidget *labels[tailleDamier][tailleDamier];
	GtkWidget *bouton_valider;
	GSList *liste_radio;
	GtkWidget *statusbar;
	guint statusbar_context;
	GtkListStore* cases_selection;
	GtkTreeIter liste_iter;
	Tliste coup;
	Tliste coups_possibles;
	Tliste listecoups;
	Tcouleur tour;
	Tcouleur partance;
	int j_blanc,j_noir;
	int finpartie;
} _Tjeu;

typedef _Tjeu *Tjeu;


#endif
