/**
 *      damier.h
 *      Contient les en-têtes pour damier.c
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include "../typedef.h"

#ifndef H_COUPS
#define H_COUPS

void generateur_coups(Tdamier, Tcouleur, Tliste*);

void coups_possibles_simples_pion(Tdamier, Tcoord, Tliste*, int*);

void coups_possibles_simples(Tdamier, Tcouleur, Tliste*);

void coups_possibles_simples_dame(Tdamier, Tcoord, Tliste*, int*);

void affiche_coups_possibles(Tliste l);

int jeu_bloque(Tdamier, Tcouleur);

int verification_coup(Tcoup, Tliste);

#endif
