/**
 *      gestion_liste.h
 *      Contient les en-têtes pour les fonctions de gestion de liste
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include "../typedef.h"

#ifndef H_GESTION_LISTE
#define H_GESTION_LISTE


void init_liste(Tliste*);

int liste_vide(Tliste);

int compare_elements(Tcoup*, Tcoup*);

int element_existe(Tliste, Tcoup);

int longueur_liste(Tliste l);

void inverse_liste(Tliste *l);

void copie_maillon(Tcoup*, Tcoup**);

void ajoute_element(Tliste*, Tcoup);

void supprime_element(Tliste*, Tcoup);

void free_maillon(Tcoup*);

void free_liste(Tliste*);

void affiche_liste(Tliste);

#endif
