/**
 *      pieces.h
 *      Contient les en-têtes pour pieces.c
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include "../typedef.h"

#ifndef H_PIECES
#define H_PIECES

int coul_oppos(Tdamier,Tcoord, Tcoord);

void inverser_couleur (Tcouleur*);

Tcouleur adversaire (Tcouleur);

int pdavg(Tdamier, Tcoord);

int pdavd(Tdamier, Tcoord);

int pdarg(Tdamier, Tcoord);

int pdard(Tdamier, Tcoord);

int pdep(Tdamier, Tcoord);

int ppavg(Tdamier, Tcoord);

int ppavd(Tdamier, Tcoord);

int pparg(Tdamier, Tcoord);

int ppard(Tdamier, Tcoord);

int ppep(Tdamier, Tcoord);

int ddavgn(Tdamier, Tcoord, int);

int ddavdn(Tdamier, Tcoord, int);

int ddargn(Tdamier, Tcoord, int);

int ddardn(Tdamier, Tcoord, int);

int ddep(Tdamier, Tcoord);

int dpavgn(Tdamier, Tcoord, int);

int dpavdn(Tdamier, Tcoord, int);

int dpargn(Tdamier, Tcoord, int);

int dpardn(Tdamier, Tcoord, int);

int dpep(Tdamier, Tcoord);

#endif
