/**
 *      prises_multiples.h
 *      Contient les en-têtes pour prises_multiples.c
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include "../typedef.h"

#ifndef H_PRISES_MULTIPLES
#define H_PRISES_MULTIPLES

int longueur_coup(Tcoup cp);

void copie_inverse(Tliste, Tliste*);

void linearisation(Tliste, Tliste*, int, int*, Tliste*);

void nettoyage_multiples(Tliste*, int);

void ajoute_trace(Tliste*, Tcoup);

void retire_trace(Tliste*);

void accrocher_trace(Tliste, Tliste*);

void free_trace(Tliste*);

#endif
