/**
 *      partie_texte.h
 *      Contient les en-têtes pour partie_texte.c
 *
 *      Mathieu Pellegrin
 *
 *      2009
 *
 **/

#include "../../typedef.h"

#ifndef H_PARTIE_GTK
#define H_PARTIE_GTK

void init_jeu(Tjeu*);

void free_jeu(Tjeu*);

void reinit_table(GtkWidget*, gpointer);

void ia_joue(GtkWidget*, gpointer);

void passer_tour(GtkWidget*, gpointer);

void valider_coup(GtkWidget*, gpointer);

void annuler_coup(GtkWidget*, gpointer);

void start_new_humain_vs_humain(GtkWidget*, gpointer);

void start_new_humain_vs_ia(GtkWidget*, gpointer);

void start_new_ia_vs_ia(GtkWidget*, gpointer);

void charge_partie(GtkWidget*, gpointer);

void sauve_partie(GtkWidget*, gpointer);

#endif
